<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'OrderListRequest' => '\\StructType\\OrderListRequest',
            'OrderListResponse' => '\\StructType\\OrderListResponse',
            'DetailedOrderListRequest' => '\\StructType\\DetailedOrderListRequest',
            'DetailedOrderListResponse' => '\\StructType\\DetailedOrderListResponse',
            'OrderItemAcceptRequest' => '\\StructType\\OrderItemAcceptRequest',
            'OrderItemAcceptResponse' => '\\StructType\\OrderItemAcceptResponse',
            'OrderItemRejectRequest' => '\\StructType\\OrderItemRejectRequest',
            'OrderItemRejectResponse' => '\\StructType\\OrderItemRejectResponse',
            'MakeOrderItemShipmentRequest' => '\\StructType\\MakeOrderItemShipmentRequest',
            'MakeOrderItemShipmentResponse' => '\\StructType\\MakeOrderItemShipmentResponse',
            'OrderDetailRequest' => '\\StructType\\OrderDetailRequest',
            'OrderDetailResponse' => '\\StructType\\OrderDetailResponse',
            'ComplementaryItemDetailRequest' => '\\StructType\\ComplementaryItemDetailRequest',
            'ComplementaryItemDetailResponse' => '\\StructType\\ComplementaryItemDetailResponse',
            'OrderDetailData' => '\\StructType\\OrderDetailData',
            'ServiceOrderItemDataList' => '\\StructType\\ServiceOrderItemDataList',
            'ServiceOrderItemData' => '\\StructType\\ServiceOrderItemData',
            'ProductOrderItemList' => '\\StructType\\ProductOrderItemList',
            'BillingTemplate' => '\\StructType\\BillingTemplate',
            'OrderItemDataList' => '\\StructType\\OrderItemDataList',
            'OrderData' => '\\StructType\\OrderData',
            'OrderItemDataRequest' => '\\StructType\\OrderItemDataRequest',
            'OrderItemDataListRequest' => '\\StructType\\OrderItemDataListRequest',
            'OrderDataRequest' => '\\StructType\\OrderDataRequest',
            'OrderItemDataRequestForRejection' => '\\StructType\\OrderItemDataRequestForRejection',
            'OrderDataList' => '\\StructType\\OrderDataList',
            'OrderDataListRequest' => '\\StructType\\OrderDataListRequest',
            'OrderSearchPeriod' => '\\StructType\\OrderSearchPeriod',
            'OrderItemData' => '\\StructType\\OrderItemData',
            'SkuAttributeList' => '\\StructType\\SkuAttributeList',
            'CustomTextOptionsDataList' => '\\StructType\\CustomTextOptionsDataList',
            'SkuAttribute' => '\\StructType\\SkuAttribute',
            'CustomTextOptionsData' => '\\StructType\\CustomTextOptionsData',
            'OrderItemListShipmentRequest' => '\\StructType\\OrderItemListShipmentRequest',
            'OrderItemShipmentRequest' => '\\StructType\\OrderItemShipmentRequest',
            'ShipmentCompanyRequest' => '\\StructType\\ShipmentCompanyRequest',
            'ShipmentInfoRequest' => '\\StructType\\ShipmentInfoRequest',
            'MakeShipmentInfoRequest' => '\\StructType\\MakeShipmentInfoRequest',
            'OrderItemShipment' => '\\StructType\\OrderItemShipment',
            'OrderSearchData' => '\\StructType\\OrderSearchData',
            'DetailedOrderDataList' => '\\StructType\\DetailedOrderDataList',
            'DetailedOrderData' => '\\StructType\\DetailedOrderData',
            'DetailedOrderItemDataList' => '\\StructType\\DetailedOrderItemDataList',
            'ItemWithComplementaryList' => '\\StructType\\ItemWithComplementaryList',
            'OrderItemShipmentInfo' => '\\StructType\\OrderItemShipmentInfo',
            'MakeOrderItemShipmentInfo' => '\\StructType\\MakeOrderItemShipmentInfo',
            'BuyerAddressData' => '\\StructType\\BuyerAddressData',
            'ItemWithComplementaryData' => '\\StructType\\ItemWithComplementaryData',
            'Buyer' => '\\StructType\\Buyer',
            'BuyerWithTaxFields' => '\\StructType\\BuyerWithTaxFields',
            'AddressModel' => '\\StructType\\AddressModel',
            'ShipmentCompanyData' => '\\StructType\\ShipmentCompanyData',
            'PagingData' => '\\StructType\\PagingData',
            'RequestPagingData' => '\\StructType\\RequestPagingData',
            'BaseResponse' => '\\StructType\\BaseResponse',
            'ResultInfo' => '\\StructType\\ResultInfo',
            'BaseRequest' => '\\StructType\\BaseRequest',
            'Authentication' => '\\StructType\\Authentication',
        );
    }
}
